%define oname		celt
%define libversion	051
%define major		0
%define libname		%mklibname %{oname} %{libversion} %{major}
%define develname	%mklibname -d %{oname} %{libversion}
%define oldlibname	%mklibname %{oname} 0 0

Summary:		Ultra-low delay audio codec
Name:			celt%{libversion}
Version:		0.5.1.3
Release:		%mkrel 6
Source0:		http://downloads.us.xiph.org/releases/celt/%{oname}-%{version}.tar.gz
License:		BSD
Group:			Sound/Utilities
Url:			http://www.celt-codec.org/
BuildRequires:		libogg-devel

%description
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

CELT stands for "Constrained Energy Lapped Transform". It applies some
of the CELP principles, but does everything in the frequency domain,
which removes some of the limitations of CELP. CELT is suitable for
both speech and music and currently features:

* Ultra-low latency (typically from 3 to 9 ms)
* Full audio bandwidth (44.1 kHz and 48 kHz)
* Support for both voice and music
* Stereo support
* Packet loss concealment
* Constant bit-rates from 32 kbps to 128 kbps and above
* A fixed-point version of the encoder and decoder

The CELT codec is meant to close the gap between Vorbis and Speex for
applications where both high quality audio and low delay are desired.

%package -n %{libname}
Summary:		Ultra-low delay audio codec - shared library
Group:			System/Libraries
Obsoletes:		%{oldlibname} < 0.5.1.3-2

%description -n %{libname}
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

CELT stands for "Constrained Energy Lapped Transform". It applies some
of the CELP principles, but does everything in the frequency domain,
which removes some of the limitations of CELP. CELT is suitable for
both speech and music and currently features:

* Ultra-low latency (typically from 3 to 9 ms)
* Full audio bandwidth (44.1 kHz and 48 kHz)
* Support for both voice and music
* Stereo support
* Packet loss concealment
* Constant bit-rates from 32 kbps to 128 kbps and above
* A fixed-point version of the encoder and decoder

The CELT codec is meant to close the gap between Vorbis and Speex for
applications where both high quality audio and low delay are desired.

%package -n %develname
Summary:		Headers for developing programs that will use %{name}
Group:			Development/C
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README TODO
%{_bindir}/celtenc051
%{_bindir}/celtdec051

%files -n %libname
%doc README COPYING
%_libdir/lib%{name}.so.%{major}
%_libdir/lib%{name}.so.%{major}.*

%files -n %develname
%_includedir/%{name}
%_libdir/pkgconfig/%name.pc
%_libdir/lib%{name}.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.1.3-6.mga4
+ Revision: 530253
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 fwang <fwang> 0.5.1.3-5.mga4
+ Revision: 456783
- drop .la file

* Fri Jan 11 2013 umeabot <umeabot> 0.5.1.3-5.mga3
+ Revision: 347570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 ovitters <ovitters> 0.5.1.3-4.mga3
+ Revision: 325809
- minor spec cleanup

* Sat Dec 01 2012 barjac <barjac> 0.5.1.3-3.mga3
+ Revision: 324439
- Changed group to new policy
- spec cleaned

* Sun Jun 26 2011 cjw <cjw> 0.5.1.3-2.mga2
+ Revision: 113948
- fix libname (fixes #1916)
- drop buildroot definition

* Mon May 02 2011 saispo <saispo> 0.5.1.3-1.mga1
+ Revision: 94264
- Fix develname and olddevelname
- Fix mistake
- Fix %%setup directory
- imported package celt051

